From: John Frisk <frisk@cs.uiowa.edu>
Subject: L68K: 2.0.31-pre3 addition
To: linux-m68k@phil.uni-sb.de (M68k/Linux List)
Date: Tue, 28 Oct 1997 12:16:30 -0600 (CST)
Sender: owner-linux-m68k@phil.uni-sb.de

The only thing I have to add to the 2.0.31-pre3 tree is the VERY old patch
of the floppy driver.  This is not my patch but taken from the list a LONG
time ago.  In my opinion we can still assume that all HD floppies will
identify themselves but the low density ones won't.  This makes it
impossible without this patch to use the floppy drive (low density).

So, here is the patch.  I would LIKE to see it in the release or some fix
for the floppy drive type.

--- amiflop.c.orig	Fri Nov  1 10:02:51 1996
+++ amiflop.c	Fri Nov  1 10:05:37 1996
@@ -1895,6 +1895,7 @@
   timer_table[FLOPPY_TIMER].fn = NULL;
   timer_active &= ~(1 << FLOPPY_TIMER);
 
+  #if 0 /* Doesn't seem to be correct */
   if (fd_def_df0==0) {
     if ((boot_info.bi_amiga.model == AMI_3000) ||
         (boot_info.bi_amiga.model == AMI_3000T) ||
@@ -1904,6 +1905,10 @@
     else
       fd_def_df0=FD_DD_3;
   }
+  #else
+  /* Now we hope that every HD drive will identify itself correctly */
+  fd_def_df0 = FD_DD_3;
+  #endif
 
   probe_drives();


Please give comments.
BTW, I have had pre2 running for over 15days on genesis.imuis.uiowa.edu
It looks stable to me :)  Check out the homepage.
http://genesis.imuis.uiowa.edu

John
